-- megafunction wizard: %Arria 10 External Memory Interfaces v13.1%
-- GENERATION: XML
-- ddr4.vhd

-- Generated using ACDS version 13.1 359 at 2014.03.27.16:50:40

library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;

entity ddr4 is
	port (
		global_reset_n      : in    std_logic                      := '0';             --     global_reset_reset_sink.reset_n
		pll_ref_clk         : in    std_logic                      := '0';             --      pll_ref_clk_clock_sink.clk
		oct_rzqin           : in    std_logic                      := '0';             --             oct_conduit_end.oct_rzqin
		mem_ck              : out   std_logic_vector(1 downto 0);                      --             mem_conduit_end.mem_ck
		mem_ck_n            : out   std_logic_vector(1 downto 0);                      --                            .mem_ck_n
		mem_a               : out   std_logic_vector(16 downto 0);                     --                            .mem_a
		mem_act_n           : out   std_logic_vector(0 downto 0);                      --                            .mem_act_n
		mem_ba              : out   std_logic_vector(1 downto 0);                      --                            .mem_ba
		mem_bg              : out   std_logic_vector(1 downto 0);                      --                            .mem_bg
		mem_cke             : out   std_logic_vector(1 downto 0);                      --                            .mem_cke
		mem_cs_n            : out   std_logic_vector(1 downto 0);                      --                            .mem_cs_n
		mem_odt             : out   std_logic_vector(1 downto 0);                      --                            .mem_odt
		mem_reset_n         : out   std_logic_vector(0 downto 0);                      --                            .mem_reset_n
		mem_dqs             : inout std_logic_vector(8 downto 0)   := (others => '0'); --                            .mem_dqs
		mem_dqs_n           : inout std_logic_vector(8 downto 0)   := (others => '0'); --                            .mem_dqs_n
		mem_dq              : inout std_logic_vector(71 downto 0)  := (others => '0'); --                            .mem_dq
		mem_dbi_n           : inout std_logic_vector(8 downto 0)   := (others => '0'); --                            .mem_dbi_n
		local_cal_success   : out   std_logic;                                         --          status_conduit_end.local_cal_success
		local_cal_fail      : out   std_logic;                                         --                            .local_cal_fail
		emif_usr_reset_n    : out   std_logic;                                         -- emif_usr_reset_reset_source.reset_n
		emif_usr_clk        : out   std_logic;                                         --   emif_usr_clk_clock_source.clk
		amm_ready_0         : out   std_logic;                                         --     ctrl_amm_avalon_slave_0.waitrequest_n
		amm_read_0          : in    std_logic                      := '0';             --                            .read
		amm_write_0         : in    std_logic                      := '0';             --                            .write
		amm_address_0       : in    std_logic_vector(22 downto 0)  := (others => '0'); --                            .address
		amm_readdata_0      : out   std_logic_vector(575 downto 0);                    --                            .readdata
		amm_writedata_0     : in    std_logic_vector(575 downto 0) := (others => '0'); --                            .writedata
		amm_burstcount_0    : in    std_logic_vector(7 downto 0)   := (others => '0'); --                            .burstcount
		amm_byteenable_0    : in    std_logic_vector(71 downto 0)  := (others => '0'); --                            .byteenable
		amm_readdatavalid_0 : out   std_logic                                          --                            .readdatavalid
	);
end entity ddr4;

architecture rtl of ddr4 is
	component ddr4_0002 is
		port (
			global_reset_n      : in    std_logic                      := 'X';             -- reset_n
			pll_ref_clk         : in    std_logic                      := 'X';             -- clk
			oct_rzqin           : in    std_logic                      := 'X';             -- oct_rzqin
			mem_ck              : out   std_logic_vector(1 downto 0);                      -- mem_ck
			mem_ck_n            : out   std_logic_vector(1 downto 0);                      -- mem_ck_n
			mem_a               : out   std_logic_vector(16 downto 0);                     -- mem_a
			mem_act_n           : out   std_logic_vector(0 downto 0);                      -- mem_act_n
			mem_ba              : out   std_logic_vector(1 downto 0);                      -- mem_ba
			mem_bg              : out   std_logic_vector(1 downto 0);                      -- mem_bg
			mem_cke             : out   std_logic_vector(1 downto 0);                      -- mem_cke
			mem_cs_n            : out   std_logic_vector(1 downto 0);                      -- mem_cs_n
			mem_odt             : out   std_logic_vector(1 downto 0);                      -- mem_odt
			mem_reset_n         : out   std_logic_vector(0 downto 0);                      -- mem_reset_n
			mem_dqs             : inout std_logic_vector(8 downto 0)   := (others => 'X'); -- mem_dqs
			mem_dqs_n           : inout std_logic_vector(8 downto 0)   := (others => 'X'); -- mem_dqs_n
			mem_dq              : inout std_logic_vector(71 downto 0)  := (others => 'X'); -- mem_dq
			mem_dbi_n           : inout std_logic_vector(8 downto 0)   := (others => 'X'); -- mem_dbi_n
			local_cal_success   : out   std_logic;                                         -- local_cal_success
			local_cal_fail      : out   std_logic;                                         -- local_cal_fail
			emif_usr_reset_n    : out   std_logic;                                         -- reset_n
			emif_usr_clk        : out   std_logic;                                         -- clk
			amm_ready_0         : out   std_logic;                                         -- waitrequest_n
			amm_read_0          : in    std_logic                      := 'X';             -- read
			amm_write_0         : in    std_logic                      := 'X';             -- write
			amm_address_0       : in    std_logic_vector(22 downto 0)  := (others => 'X'); -- address
			amm_readdata_0      : out   std_logic_vector(575 downto 0);                    -- readdata
			amm_writedata_0     : in    std_logic_vector(575 downto 0) := (others => 'X'); -- writedata
			amm_burstcount_0    : in    std_logic_vector(7 downto 0)   := (others => 'X'); -- burstcount
			amm_byteenable_0    : in    std_logic_vector(71 downto 0)  := (others => 'X'); -- byteenable
			amm_readdatavalid_0 : out   std_logic                                          -- readdatavalid
		);
	end component ddr4_0002;

begin

	ddr4_inst : component ddr4_0002
		port map (
			global_reset_n      => global_reset_n,      --     global_reset_reset_sink.reset_n
			pll_ref_clk         => pll_ref_clk,         --      pll_ref_clk_clock_sink.clk
			oct_rzqin           => oct_rzqin,           --             oct_conduit_end.oct_rzqin
			mem_ck              => mem_ck,              --             mem_conduit_end.mem_ck
			mem_ck_n            => mem_ck_n,            --                            .mem_ck_n
			mem_a               => mem_a,               --                            .mem_a
			mem_act_n           => mem_act_n,           --                            .mem_act_n
			mem_ba              => mem_ba,              --                            .mem_ba
			mem_bg              => mem_bg,              --                            .mem_bg
			mem_cke             => mem_cke,             --                            .mem_cke
			mem_cs_n            => mem_cs_n,            --                            .mem_cs_n
			mem_odt             => mem_odt,             --                            .mem_odt
			mem_reset_n         => mem_reset_n,         --                            .mem_reset_n
			mem_dqs             => mem_dqs,             --                            .mem_dqs
			mem_dqs_n           => mem_dqs_n,           --                            .mem_dqs_n
			mem_dq              => mem_dq,              --                            .mem_dq
			mem_dbi_n           => mem_dbi_n,           --                            .mem_dbi_n
			local_cal_success   => local_cal_success,   --          status_conduit_end.local_cal_success
			local_cal_fail      => local_cal_fail,      --                            .local_cal_fail
			emif_usr_reset_n    => emif_usr_reset_n,    -- emif_usr_reset_reset_source.reset_n
			emif_usr_clk        => emif_usr_clk,        --   emif_usr_clk_clock_source.clk
			amm_ready_0         => amm_ready_0,         --     ctrl_amm_avalon_slave_0.waitrequest_n
			amm_read_0          => amm_read_0,          --                            .read
			amm_write_0         => amm_write_0,         --                            .write
			amm_address_0       => amm_address_0,       --                            .address
			amm_readdata_0      => amm_readdata_0,      --                            .readdata
			amm_writedata_0     => amm_writedata_0,     --                            .writedata
			amm_burstcount_0    => amm_burstcount_0,    --                            .burstcount
			amm_byteenable_0    => amm_byteenable_0,    --                            .byteenable
			amm_readdatavalid_0 => amm_readdatavalid_0  --                            .readdatavalid
		);

end architecture rtl; -- of ddr4
-- Retrieval info: <?xml version="1.0"?>
--<!--
--	Generated by Altera MegaWizard Launcher Utility version 1.0
--	************************************************************
--	THIS IS A WIZARD-GENERATED FILE. DO NOT EDIT THIS FILE!
--	************************************************************
--	Copyright (C) 1991-2014 Altera Corporation
--	Any megafunction design, and related net list (encrypted or decrypted),
--	support information, device programming or simulation file, and any other
--	associated documentation or information provided by Altera or a partner
--	under Altera's Megafunction Partnership Program may be used only to
--	program PLD devices (but not masked PLD devices) from Altera.  Any other
--	use of such megafunction design, net list, support information, device
--	programming or simulation file, or any other related documentation or
--	information is prohibited for any other purpose, including, but not
--	limited to modification, reverse engineering, de-compiling, or use with
--	any other silicon devices, unless such use is explicitly licensed under
--	a separate agreement with Altera or a megafunction partner.  Title to
--	the intellectual property, including patents, copyrights, trademarks,
--	trade secrets, or maskworks, embodied in any such megafunction design,
--	net list, support information, device programming or simulation file, or
--	any other related documentation or information provided by Altera or a
--	megafunction partner, remains with Altera, the megafunction partner, or
--	their respective licensors.  No other licenses, including any licenses
--	needed under any third party's intellectual property, are provided herein.
---->
-- Retrieval info: <instance entity-name="altera_emif" version="13.1" >
-- Retrieval info: 	<generic name="SYS_INFO_DEVICE_FAMILY" value="Arria 10" />
-- Retrieval info: 	<generic name="SYS_INFO_DEVICE" value="Unknown" />
-- Retrieval info: 	<generic name="SYS_INFO_DEVICE_SPEEDGRADE" value="Unknown" />
-- Retrieval info: 	<generic name="PROTOCOL_ENUM" value="PROTOCOL_DDR4" />
-- Retrieval info: 	<generic name="SYS_INFO_UNIQUE_ID" value="ddr4" />
-- Retrieval info: 	<generic name="PHY_DDR3_CONFIG_ENUM" value="CONFIG_PHY_AND_HARD_CTRL" />
-- Retrieval info: 	<generic name="PHY_DDR3_MEM_CLK_FREQ_MHZ" value="1066.667" />
-- Retrieval info: 	<generic name="PHY_DDR3_DEFAULT_REF_CLK_FREQ" value="false" />
-- Retrieval info: 	<generic name="PHY_DDR3_USER_REF_CLK_FREQ_MHZ" value="133.333" />
-- Retrieval info: 	<generic name="PHY_DDR3_RATE_ENUM" value="RATE_QUARTER" />
-- Retrieval info: 	<generic name="PHY_DDR3_CORE_CLKS_SHARING_ENUM" value="CORE_CLKS_SHARING_DISABLED" />
-- Retrieval info: 	<generic name="PHY_DDR3_IO_STD_ENUM" value="IO_STD_SSTL_15" />
-- Retrieval info: 	<generic name="PHY_DDR3_DEFAULT_OCT" value="true" />
-- Retrieval info: 	<generic name="PHY_DDR3_USER_IN_OCT" value="-1" />
-- Retrieval info: 	<generic name="PHY_DDR3_USER_OUT_OCT" value="-1" />
-- Retrieval info: 	<generic name="PHY_DDR4_CONFIG_ENUM" value="CONFIG_PHY_AND_HARD_CTRL" />
-- Retrieval info: 	<generic name="PHY_DDR4_MEM_CLK_FREQ_MHZ" value="1200.0" />
-- Retrieval info: 	<generic name="PHY_DDR4_DEFAULT_REF_CLK_FREQ" value="false" />
-- Retrieval info: 	<generic name="PHY_DDR4_USER_REF_CLK_FREQ_MHZ" value="25.0" />
-- Retrieval info: 	<generic name="PHY_DDR4_RATE_ENUM" value="RATE_QUARTER" />
-- Retrieval info: 	<generic name="PHY_DDR4_CORE_CLKS_SHARING_ENUM" value="CORE_CLKS_SHARING_DISABLED" />
-- Retrieval info: 	<generic name="PHY_DDR4_IO_STD_ENUM" value="IO_STD_SSTL_12" />
-- Retrieval info: 	<generic name="PHY_DDR4_DQ_IO_STD_ENUM" value="IO_STD_POD_12" />
-- Retrieval info: 	<generic name="PHY_DDR4_DEFAULT_OCT" value="true" />
-- Retrieval info: 	<generic name="PHY_DDR4_USER_IN_OCT" value="-1" />
-- Retrieval info: 	<generic name="PHY_DDR4_USER_OUT_OCT" value="-1" />
-- Retrieval info: 	<generic name="MEM_DDR3_FORMAT_ENUM" value="MEM_FORMAT_UDIMM" />
-- Retrieval info: 	<generic name="MEM_DDR3_DQ_WIDTH" value="72" />
-- Retrieval info: 	<generic name="MEM_DDR3_DQ_PER_DQS" value="8" />
-- Retrieval info: 	<generic name="MEM_DDR3_DISCRETE_CS_WIDTH" value="1" />
-- Retrieval info: 	<generic name="MEM_DDR3_NUM_OF_DIMMS" value="1" />
-- Retrieval info: 	<generic name="MEM_DDR3_RANKS_PER_DIMM" value="1" />
-- Retrieval info: 	<generic name="MEM_DDR3_CKE_PER_DIMM" value="1" />
-- Retrieval info: 	<generic name="MEM_DDR3_CK_WIDTH" value="1" />
-- Retrieval info: 	<generic name="MEM_DDR3_ROW_ADDR_WIDTH" value="14" />
-- Retrieval info: 	<generic name="MEM_DDR3_COL_ADDR_WIDTH" value="10" />
-- Retrieval info: 	<generic name="MEM_DDR3_BANK_ADDR_WIDTH" value="3" />
-- Retrieval info: 	<generic name="MEM_DDR3_DM_EN" value="true" />
-- Retrieval info: 	<generic name="MEM_DDR3_MIRROR_ADDRESSING_EN" value="false" />
-- Retrieval info: 	<generic name="MEM_DDR3_RDIMM_CONFIG" value="0000000000000000" />
-- Retrieval info: 	<generic name="MEM_DDR3_LRDIMM_EXTENDED_CONFIG" value="0x000000000000000000" />
-- Retrieval info: 	<generic name="MEM_DDR3_BL_ENUM" value="DDR3_BL_BL8" />
-- Retrieval info: 	<generic name="MEM_DDR3_BT_ENUM" value="DDR3_BT_SEQUENTIAL" />
-- Retrieval info: 	<generic name="MEM_DDR3_ASR_ENUM" value="DDR3_ASR_MANUAL" />
-- Retrieval info: 	<generic name="MEM_DDR3_SRT_ENUM" value="DDR3_SRT_NORMAL" />
-- Retrieval info: 	<generic name="MEM_DDR3_PD_ENUM" value="DDR3_PD_OFF" />
-- Retrieval info: 	<generic name="MEM_DDR3_DRV_STR_ENUM" value="DDR3_DRV_STR_RZQ_6" />
-- Retrieval info: 	<generic name="MEM_DDR3_DLL_EN" value="true" />
-- Retrieval info: 	<generic name="MEM_DDR3_RTT_NOM_ENUM" value="DDR3_RTT_NOM_ODT_DISABLED" />
-- Retrieval info: 	<generic name="MEM_DDR3_RTT_WR_ENUM" value="DDR3_RTT_WR_ODT_DISABLED" />
-- Retrieval info: 	<generic name="MEM_DDR3_WTCL" value="6" />
-- Retrieval info: 	<generic name="MEM_DDR3_ATCL_ENUM" value="DDR3_ATCL_DISABLED" />
-- Retrieval info: 	<generic name="MEM_DDR3_TCL" value="7" />
-- Retrieval info: 	<generic name="MEM_DDR3_SPEEDBIN_ENUM" value="DDR3_SPEEDBIN_2133" />
-- Retrieval info: 	<generic name="MEM_DDR3_TIS_PS" value="60" />
-- Retrieval info: 	<generic name="MEM_DDR3_TIS_AC_MV" value="135" />
-- Retrieval info: 	<generic name="MEM_DDR3_TIH_PS" value="95" />
-- Retrieval info: 	<generic name="MEM_DDR3_TIH_DC_MV" value="100" />
-- Retrieval info: 	<generic name="MEM_DDR3_TDS_PS" value="53" />
-- Retrieval info: 	<generic name="MEM_DDR3_TDS_AC_MV" value="135" />
-- Retrieval info: 	<generic name="MEM_DDR3_TDH_PS" value="55" />
-- Retrieval info: 	<generic name="MEM_DDR3_TDH_DC_MV" value="100" />
-- Retrieval info: 	<generic name="MEM_DDR3_TDQSQ_PS" value="75" />
-- Retrieval info: 	<generic name="MEM_DDR3_TQH_CYC" value="0.38" />
-- Retrieval info: 	<generic name="MEM_DDR3_TDQSCK_PS" value="180" />
-- Retrieval info: 	<generic name="MEM_DDR3_TDQSS_CYC" value="0.27" />
-- Retrieval info: 	<generic name="MEM_DDR3_TQSH_CYC" value="0.4" />
-- Retrieval info: 	<generic name="MEM_DDR3_TDSH_CYC" value="0.18" />
-- Retrieval info: 	<generic name="MEM_DDR3_TWLS_PS" value="125.0" />
-- Retrieval info: 	<generic name="MEM_DDR3_TWLH_PS" value="125.0" />
-- Retrieval info: 	<generic name="MEM_DDR3_TDSS_CYC" value="0.18" />
-- Retrieval info: 	<generic name="MEM_DDR3_TINIT_US" value="500" />
-- Retrieval info: 	<generic name="MEM_DDR3_TMRD_CK_CYC" value="4" />
-- Retrieval info: 	<generic name="MEM_DDR3_TRAS_NS" value="33.0" />
-- Retrieval info: 	<generic name="MEM_DDR3_TRCD_NS" value="13.09" />
-- Retrieval info: 	<generic name="MEM_DDR3_TRP_NS" value="13.09" />
-- Retrieval info: 	<generic name="MEM_DDR3_TREFI_US" value="7.8" />
-- Retrieval info: 	<generic name="MEM_DDR3_TRFC_NS" value="160.0" />
-- Retrieval info: 	<generic name="MEM_DDR3_TWR_NS" value="15.0" />
-- Retrieval info: 	<generic name="MEM_DDR3_TWTR_CYC" value="4" />
-- Retrieval info: 	<generic name="MEM_DDR3_TFAW_NS" value="25.0" />
-- Retrieval info: 	<generic name="MEM_DDR3_TRRD_CYC" value="6" />
-- Retrieval info: 	<generic name="MEM_DDR3_TRTP_CYC" value="8" />
-- Retrieval info: 	<generic name="MEM_DDR4_FORMAT_ENUM" value="MEM_FORMAT_SODIMM" />
-- Retrieval info: 	<generic name="MEM_DDR4_DQ_WIDTH" value="72" />
-- Retrieval info: 	<generic name="MEM_DDR4_DQ_PER_DQS" value="8" />
-- Retrieval info: 	<generic name="MEM_DDR4_DISCRETE_CS_WIDTH" value="1" />
-- Retrieval info: 	<generic name="MEM_DDR4_NUM_OF_DIMMS" value="1" />
-- Retrieval info: 	<generic name="MEM_DDR4_RANKS_PER_DIMM" value="2" />
-- Retrieval info: 	<generic name="MEM_DDR4_CKE_PER_DIMM" value="1" />
-- Retrieval info: 	<generic name="MEM_DDR4_CK_WIDTH" value="2" />
-- Retrieval info: 	<generic name="MEM_DDR4_ROW_ADDR_WIDTH" value="15" />
-- Retrieval info: 	<generic name="MEM_DDR4_COL_ADDR_WIDTH" value="10" />
-- Retrieval info: 	<generic name="MEM_DDR4_BANK_ADDR_WIDTH" value="2" />
-- Retrieval info: 	<generic name="MEM_DDR4_BANK_GROUP_WIDTH" value="2" />
-- Retrieval info: 	<generic name="MEM_DDR4_CHIP_ID_WIDTH" value="0" />
-- Retrieval info: 	<generic name="MEM_DDR4_DM_EN" value="true" />
-- Retrieval info: 	<generic name="MEM_DDR4_MIRROR_ADDRESSING_EN" value="false" />
-- Retrieval info: 	<generic name="MEM_DDR4_RDIMM_CONFIG" value="0000000000000000" />
-- Retrieval info: 	<generic name="MEM_DDR4_LRDIMM_EXTENDED_CONFIG" value="0x000000000000000000" />
-- Retrieval info: 	<generic name="MEM_DDR4_WRITE_CRC" value="false" />
-- Retrieval info: 	<generic name="MEM_DDR4_GEARDOWN" value="DDR4_GEARDOWN_HR" />
-- Retrieval info: 	<generic name="MEM_DDR4_PER_DRAM_ADDR" value="false" />
-- Retrieval info: 	<generic name="MEM_DDR4_TEMP_SENSOR_READOUT" value="false" />
-- Retrieval info: 	<generic name="MEM_DDR4_FINE_GRANULARITY_REFRESH" value="DDR4_FINE_REFRESH_FIXED_1X" />
-- Retrieval info: 	<generic name="MEM_DDR4_WRITE_CMD_LATENCY" value="4" />
-- Retrieval info: 	<generic name="MEM_DDR4_MPR_READ_FORMAT" value="DDR4_MPR_READ_FORMAT_SERIAL" />
-- Retrieval info: 	<generic name="MEM_DDR4_MAX_POWERDOWN" value="false" />
-- Retrieval info: 	<generic name="MEM_DDR4_TEMP_CONTROLLED_RFSH_RANGE" value="DDR4_TEMP_CONTROLLED_RFSH_NORMAL" />
-- Retrieval info: 	<generic name="MEM_DDR4_TEMP_CONTROLLED_RFSH_ENA" value="false" />
-- Retrieval info: 	<generic name="MEM_DDR4_INTERNAL_VREFDQ_MONITOR" value="false" />
-- Retrieval info: 	<generic name="MEM_DDR4_CAL_MODE" value="0" />
-- Retrieval info: 	<generic name="MEM_DDR4_SELF_RFSH_ABORT" value="false" />
-- Retrieval info: 	<generic name="MEM_DDR4_READ_PREAMBLE_TRAINING" value="false" />
-- Retrieval info: 	<generic name="MEM_DDR4_READ_PREAMBLE" value="1" />
-- Retrieval info: 	<generic name="MEM_DDR4_WRITE_PREAMBLE" value="1" />
-- Retrieval info: 	<generic name="MEM_DDR4_AC_PARITY_LATENCY" value="DDR4_AC_PARITY_LATENCY_DISABLE" />
-- Retrieval info: 	<generic name="MEM_DDR4_ODT_IN_POWERDOWN" value="true" />
-- Retrieval info: 	<generic name="MEM_DDR4_RTT_PARK" value="DDR4_RTT_PARK_ODT_DISABLED" />
-- Retrieval info: 	<generic name="MEM_DDR4_AC_PERSISTENT_ERROR" value="false" />
-- Retrieval info: 	<generic name="MEM_DDR4_WRITE_DBI" value="false" />
-- Retrieval info: 	<generic name="MEM_DDR4_READ_DBI" value="false" />
-- Retrieval info: 	<generic name="MEM_DDR4_VREFDQ_TRAINING_VALUE" value="60.0" />
-- Retrieval info: 	<generic name="MEM_DDR4_VREFDQ_TRAINING_RANGE" value="DDR4_VREFDQ_TRAINING_RANGE_1" />
-- Retrieval info: 	<generic name="MEM_DDR4_BL_ENUM" value="DDR4_BL_BL8" />
-- Retrieval info: 	<generic name="MEM_DDR4_BT_ENUM" value="DDR4_BT_SEQUENTIAL" />
-- Retrieval info: 	<generic name="MEM_DDR4_ASR_ENUM" value="DDR4_ASR_MANUAL_NORMAL" />
-- Retrieval info: 	<generic name="MEM_DDR4_DRV_STR_ENUM" value="DDR4_DRV_STR_RZQ_7" />
-- Retrieval info: 	<generic name="MEM_DDR4_DLL_EN" value="true" />
-- Retrieval info: 	<generic name="MEM_DDR4_RTT_NOM_ENUM" value="DDR4_RTT_NOM_ODT_DISABLED" />
-- Retrieval info: 	<generic name="MEM_DDR4_RTT_WR_ENUM" value="DDR4_RTT_WR_ODT_DISABLED" />
-- Retrieval info: 	<generic name="MEM_DDR4_WTCL" value="18" />
-- Retrieval info: 	<generic name="MEM_DDR4_ATCL_ENUM" value="DDR4_ATCL_DISABLED" />
-- Retrieval info: 	<generic name="MEM_DDR4_TCL" value="18" />
-- Retrieval info: 	<generic name="MEM_DDR4_SPEEDBIN_ENUM" value="DDR4_SPEEDBIN_2400" />
-- Retrieval info: 	<generic name="MEM_DDR4_TIS_PS" value="60" />
-- Retrieval info: 	<generic name="MEM_DDR4_TIS_AC_MV" value="100" />
-- Retrieval info: 	<generic name="MEM_DDR4_TIH_PS" value="95" />
-- Retrieval info: 	<generic name="MEM_DDR4_TIH_DC_MV" value="75" />
-- Retrieval info: 	<generic name="MEM_DDR4_TDIVW_DJ_CYC" value="0.1" />
-- Retrieval info: 	<generic name="MEM_DDR4_VDIVW_TOTAL" value="136" />
-- Retrieval info: 	<generic name="MEM_DDR4_TDQSQ_PS" value="75" />
-- Retrieval info: 	<generic name="MEM_DDR4_TQH_CYC" value="0.38" />
-- Retrieval info: 	<generic name="MEM_DDR4_TDQSCK_PS" value="180" />
-- Retrieval info: 	<generic name="MEM_DDR4_TDQSS_CYC" value="0.27" />
-- Retrieval info: 	<generic name="MEM_DDR4_TQSH_CYC" value="0.38" />
-- Retrieval info: 	<generic name="MEM_DDR4_TDSH_CYC" value="0.18" />
-- Retrieval info: 	<generic name="MEM_DDR4_TDSS_CYC" value="0.18" />
-- Retrieval info: 	<generic name="MEM_DDR4_TWLS_PS" value="122.0" />
-- Retrieval info: 	<generic name="MEM_DDR4_TWLH_PS" value="122.0" />
-- Retrieval info: 	<generic name="MEM_DDR4_TINIT_US" value="500" />
-- Retrieval info: 	<generic name="MEM_DDR4_TMRD_CK_CYC" value="8" />
-- Retrieval info: 	<generic name="MEM_DDR4_TRAS_NS" value="33.0" />
-- Retrieval info: 	<generic name="MEM_DDR4_TRCD_NS" value="14.06" />
-- Retrieval info: 	<generic name="MEM_DDR4_TRP_NS" value="14.06" />
-- Retrieval info: 	<generic name="MEM_DDR4_TREFI_US" value="7.8" />
-- Retrieval info: 	<generic name="MEM_DDR4_TRFC_NS" value="160.0" />
-- Retrieval info: 	<generic name="MEM_DDR4_TWR_NS" value="15.0" />
-- Retrieval info: 	<generic name="MEM_DDR4_TWTR_L_CYC" value="4" />
-- Retrieval info: 	<generic name="MEM_DDR4_TWTR_S_CYC" value="2" />
-- Retrieval info: 	<generic name="MEM_DDR4_TFAW_NS" value="25.0" />
-- Retrieval info: 	<generic name="MEM_DDR4_TRRD_L_CYC" value="5" />
-- Retrieval info: 	<generic name="MEM_DDR4_TRRD_S_CYC" value="4" />
-- Retrieval info: 	<generic name="MEM_DDR4_TCCD_L_CYC" value="5" />
-- Retrieval info: 	<generic name="MEM_DDR4_TCCD_S_CYC" value="4" />
-- Retrieval info: 	<generic name="MEM_DDR4_TRTP_CYC" value="8" />
-- Retrieval info: 	<generic name="BOARD_DDR3_USE_DEFAULT_SLEW_RATES" value="true" />
-- Retrieval info: 	<generic name="BOARD_DDR3_USE_DEFAULT_ISI_VALUES" value="true" />
-- Retrieval info: 	<generic name="BOARD_DDR3_USER_CK_SLEW_RATE" value="2.0" />
-- Retrieval info: 	<generic name="BOARD_DDR3_USER_AC_SLEW_RATE" value="1.0" />
-- Retrieval info: 	<generic name="BOARD_DDR3_USER_RCLK_SLEW_RATE" value="4.0" />
-- Retrieval info: 	<generic name="BOARD_DDR3_USER_WCLK_SLEW_RATE" value="4.0" />
-- Retrieval info: 	<generic name="BOARD_DDR3_USER_RDATA_SLEW_RATE" value="2.5" />
-- Retrieval info: 	<generic name="BOARD_DDR3_USER_WDATA_SLEW_RATE" value="2.0" />
-- Retrieval info: 	<generic name="BOARD_DDR3_USER_AC_ISI_NS" value="0.094" />
-- Retrieval info: 	<generic name="BOARD_DDR3_USER_RCLK_ISI_NS" value="0.094" />
-- Retrieval info: 	<generic name="BOARD_DDR3_USER_WCLK_ISI_NS" value="0.031" />
-- Retrieval info: 	<generic name="BOARD_DDR3_USER_RDATA_ISI_NS" value="0.063" />
-- Retrieval info: 	<generic name="BOARD_DDR3_USER_WDATA_ISI_NS" value="0.063" />
-- Retrieval info: 	<generic name="BOARD_DDR3_IS_SKEW_WITHIN_DQS_DESKEWED" value="false" />
-- Retrieval info: 	<generic name="BOARD_DDR3_BRD_SKEW_WITHIN_DQS_NS" value="0.02" />
-- Retrieval info: 	<generic name="BOARD_DDR3_PKG+BRD_SKEW_WITHIN_DQS_NS" value="0.02" />
-- Retrieval info: 	<generic name="BOARD_DDR3_IS_SKEW_WITHIN_AC_DESKEWED" value="false" />
-- Retrieval info: 	<generic name="BOARD_DDR3_BRD_SKEW_WITHIN_AC_NS" value="0.02" />
-- Retrieval info: 	<generic name="BOARD_DDR3_PKG+BRD_SKEW_WITHIN_AC_NS" value="0.02" />
-- Retrieval info: 	<generic name="BOARD_DDR3_SKEW_CKDQS_MIN_NS" value="-0.01" />
-- Retrieval info: 	<generic name="BOARD_DDR3_SKEW_CKDQS_MAX_NS" value="0.01" />
-- Retrieval info: 	<generic name="BOARD_DDR3_SKEW_BETWEEN_DIMMS_NS" value="0.05" />
-- Retrieval info: 	<generic name="BOARD_DDR3_SKEW_BETWEEN_DQS_NS" value="0.02" />
-- Retrieval info: 	<generic name="BOARD_DDR3_AC_TO_CK_SKEW_NS" value="0.0" />
-- Retrieval info: 	<generic name="BOARD_DDR3_MAX_CK_DELAY_NS" value="0.6" />
-- Retrieval info: 	<generic name="BOARD_DDR3_MAX_DQS_DELAY_NS" value="0.6" />
-- Retrieval info: 	<generic name="BOARD_DDR4_USE_DEFAULT_SLEW_RATES" value="true" />
-- Retrieval info: 	<generic name="BOARD_DDR4_USE_DEFAULT_ISI_VALUES" value="true" />
-- Retrieval info: 	<generic name="BOARD_DDR4_USER_CK_SLEW_RATE" value="4.0" />
-- Retrieval info: 	<generic name="BOARD_DDR4_USER_AC_SLEW_RATE" value="2.0" />
-- Retrieval info: 	<generic name="BOARD_DDR4_USER_RCLK_SLEW_RATE" value="4.0" />
-- Retrieval info: 	<generic name="BOARD_DDR4_USER_WCLK_SLEW_RATE" value="4.0" />
-- Retrieval info: 	<generic name="BOARD_DDR4_USER_RDATA_SLEW_RATE" value="4.0" />
-- Retrieval info: 	<generic name="BOARD_DDR4_USER_WDATA_SLEW_RATE" value="2.0" />
-- Retrieval info: 	<generic name="BOARD_DDR4_USER_AC_ISI_NS" value="0.094" />
-- Retrieval info: 	<generic name="BOARD_DDR4_USER_RCLK_ISI_NS" value="0.094" />
-- Retrieval info: 	<generic name="BOARD_DDR4_USER_WCLK_ISI_NS" value="0.031" />
-- Retrieval info: 	<generic name="BOARD_DDR4_USER_RDATA_ISI_NS" value="0.063" />
-- Retrieval info: 	<generic name="BOARD_DDR4_USER_WDATA_ISI_NS" value="0.063" />
-- Retrieval info: 	<generic name="BOARD_DDR4_IS_SKEW_WITHIN_DQS_DESKEWED" value="true" />
-- Retrieval info: 	<generic name="BOARD_DDR4_BRD_SKEW_WITHIN_DQS_NS" value="0.02" />
-- Retrieval info: 	<generic name="BOARD_DDR4_PKG+BRD_SKEW_WITHIN_DQS_NS" value="0.02" />
-- Retrieval info: 	<generic name="BOARD_DDR4_IS_SKEW_WITHIN_AC_DESKEWED" value="false" />
-- Retrieval info: 	<generic name="BOARD_DDR4_BRD_SKEW_WITHIN_AC_NS" value="0.02" />
-- Retrieval info: 	<generic name="BOARD_DDR4_PKG+BRD_SKEW_WITHIN_AC_NS" value="0.02" />
-- Retrieval info: 	<generic name="BOARD_DDR4_SKEW_CKDQS_MIN_NS" value="-0.01" />
-- Retrieval info: 	<generic name="BOARD_DDR4_SKEW_CKDQS_MAX_NS" value="0.01" />
-- Retrieval info: 	<generic name="BOARD_DDR4_SKEW_BETWEEN_DIMMS_NS" value="0.05" />
-- Retrieval info: 	<generic name="BOARD_DDR4_SKEW_BETWEEN_DQS_NS" value="0.02" />
-- Retrieval info: 	<generic name="BOARD_DDR4_AC_TO_CK_SKEW_NS" value="0.0" />
-- Retrieval info: 	<generic name="BOARD_DDR4_MAX_CK_DELAY_NS" value="0.6" />
-- Retrieval info: 	<generic name="BOARD_DDR4_MAX_DQS_DELAY_NS" value="0.6" />
-- Retrieval info: 	<generic name="CTRL_DDR3_AVL_PROTOCOL_ENUM" value="CTRL_AVL_PROTOCOL_MM" />
-- Retrieval info: 	<generic name="CTRL_DDR3_ADDR_ORDER_ENUM" value="DDR3_CTRL_ADDR_ORDER_CS_R_B_C" />
-- Retrieval info: 	<generic name="CTRL_DDR3_ECC_EN" value="false" />
-- Retrieval info: 	<generic name="CTRL_DDR3_REORDER_EN" value="true" />
-- Retrieval info: 	<generic name="CTRL_DDR3_STARVE_LIMIT" value="63" />
-- Retrieval info: 	<generic name="CTRL_DDR4_AVL_PROTOCOL_ENUM" value="CTRL_AVL_PROTOCOL_MM" />
-- Retrieval info: 	<generic name="CTRL_DDR4_ADDR_ORDER_ENUM" value="DDR4_CTRL_ADDR_ORDER_CS_R_BG_B_C" />
-- Retrieval info: 	<generic name="CTRL_DDR4_ECC_EN" value="false" />
-- Retrieval info: 	<generic name="CTRL_DDR4_REORDER_EN" value="true" />
-- Retrieval info: 	<generic name="CTRL_DDR4_STARVE_LIMIT" value="63" />
-- Retrieval info: 	<generic name="DIAG_TIMING_REGTEST_MODE" value="false" />
-- Retrieval info: 	<generic name="DIAG_SYNTH_FOR_SIM" value="false" />
-- Retrieval info: 	<generic name="DIAG_EX_DESIGN_ADD_TEST_EMIFS" value="" />
-- Retrieval info: 	<generic name="DIAG_DDR3_SIM_CAL_MODE_ENUM" value="SIM_CAL_MODE_SKIP" />
-- Retrieval info: 	<generic name="DIAG_DDR4_SIM_CAL_MODE_ENUM" value="SIM_CAL_MODE_SKIP" />
-- Retrieval info: </instance>
-- IPFS_FILES : ddr4.vho
-- RELATED_FILES: ddr4.vhd, ddr4_0002.v, ddr4_arch.sv, altera_emif_arch_nf_top.sv, altera_emif_arch_nf_bufs.sv, altera_emif_arch_nf_buf_udir_se_i.sv, altera_emif_arch_nf_buf_udir_se_o.sv, altera_emif_arch_nf_buf_udir_df_i.sv, altera_emif_arch_nf_buf_udir_df_o.sv, altera_emif_arch_nf_buf_udir_cp_i.sv, altera_emif_arch_nf_buf_bdir_df.sv, altera_emif_arch_nf_buf_bdir_se.sv, altera_emif_arch_nf_buf_unused.sv, altera_emif_arch_nf_pll.sv, altera_emif_arch_nf_oct.sv, altera_emif_arch_nf_core_clks_rsts.sv, altera_emif_arch_nf_io_aux.sv, altera_emif_arch_nf_io_tiles.sv, altera_emif_arch_nf_data_if.sv, altera_emif_arch_nf_hmc_avl_if.sv, altera_emif_arch_nf_hmc_sideband_if.sv, altera_emif_arch_nf_hmc_mmr_if.sv, altera_emif_arch_nf_afi_if.sv
